> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Get recipient consumer disclosure

GET https://demo.docusign.net/restapi/v2.1/accounts/{accountId}/envelopes/{envelopeId}/recipients/{recipientId}/consumer_disclosure/{langCode}

Retrieves the HTML-formatted Electronic Record and Signature Disclosure (ERSD) for the envelope recipient that you specify. This disclosure might differ from the account-level disclosure, based on the signing brand applied to the envelope and the recipient's language settings.

To set the language of the disclosure that you want to retrieve, specify the `langCode` as either a path or query parameter.

Reference: https://developers.docusign.com/docs/esign-rest-api/reference/envelopes/envelopeconsumerdisclosures/get

## Authentication

- `Authorization` header (required) (prefixed with ` Bearer  `) — OAuth 2.0 access token (JWT or auth-code grant). Sent as `Authorization: Bearer <token>` on every request except `GET /v2.1` and `GET /service_information`, which are public discovery endpoints.

## Servers

- `https://demo.docusign.net/restapi` (Demo, default)
- `https://www.docusign.net/restapi` (Production)

## Request

### Path parameters

- `accountId` (string, required) — The external account number (int) or account ID Guid.
- `envelopeId` (string, required) — The envelope's GUID. Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`
- `langCode` (string, required) — (Optional) The code for the signer language version of the disclosure that you want to retrieve, as a query parameter. The following languages are supported: - Arabic (`ar`) - Bulgarian (`bg`) - Czech (`cs`) - Chinese Simplified (`zh_CN`) - Chinese Traditional (`zh_TW`) - Croatian (`hr`) - Danish (`da`) - Dutch (`nl`) - English US (`en`) - English UK (`en_GB`) - Estonian (`et`) - Farsi (`fa`) - Finnish (`fi`) - French (`fr`) - French Canadian (`fr_CA`) - German (`de`) - Greek (`el`) - Hebrew (`he`) - Hindi (`hi`) - Hungarian (`hu`) - Bahasa Indonesian (`id`) - Italian (`it`) - Japanese (`ja`) - Korean (`ko`) - Latvian (`lv`) - Lithuanian (`lt`) - Bahasa Melayu (`ms`) - Norwegian (`no`) - Polish (`pl`) - Portuguese (`pt`) - Portuguese Brazil (`pt_BR`) - Romanian (`ro`) - Russian (`ru`) - Serbian (`sr`) - Slovak (`sk`) - Slovenian (`sl`) - Spanish (`es`) - Spanish Latin America (`es_MX`) - Swedish (`sv`) - Thai (`th`) - Turkish (`tr`) - Ukrainian (`uk`) - Vietnamese (`vi`) Additionally, you can automatically detect the browser language being used by the viewer and display the disclosure in that language by setting the value to `browser`.
- `recipientId` (string, required) — A local reference used to map recipients to other objects, such as specific document tabs. A `recipientId` must be either an integer or a GUID, and the `recipientId` must be unique within an envelope. For example, many envelopes assign the first recipient a `recipientId` of `1`.

## Response

### 200

Successful response.

- `accountEsignId` (string, optional) — The GUID of the account associated with the consumer disclosure.
- `allowCDWithdraw` (string, optional) — When **true,** indicates that the customer can withdraw their consent to the consumer disclosure when they decline to sign documents. If these recipients sign documents sent to them from your account in the future, they will be required to agree to the terms in the disclosure. The default value is **false.** **Note:** Only Admin users can change this setting.
- `allowCDWithdrawMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `changeEmail` (string, optional) — If the customer needs to change their email address, this is the email address to which they should the change request. Maximum length: 100 characters.
- `changeEmailOther` (string, optional) — Other information about the requirements for the user to change their email address. Maximum length: 255 characters. Example: `We do not require any other information from you to change your email address.`
- `companyName` (string, optional) — Specifies the company name used in the disclosure. The default value is the account name. However, if your account uses signing brands that specify a company name, you can substitute the brand's company name by setting the `useBrand` property to **true.** Whenever an envelope is sent from the account that uses a signing brand with a specified `companyName`, that value is used in email notifications and in the signing experience. **Note:** This substitution only works if you use the default legal disclosure or if you apply the `companyName` to the merge fields in a custom ERSD. You must also set the value of the `useBrand` property to **true.**
- `companyPhone` (string, optional) — The phone number of the company associated with the consumer disclosure, as a free-formatted string.
- `copyCostPerPage` (string, optional) — The cost per page if the customer requests paper copies. Example: `0.0000`
- `copyFeeCollectionMethod` (string, optional) — Specifies the fee collection method for cases in which the customer requires paper copies of the document. Maximum length: 255 characters. Example: `We will bill you for any fees at that time, if any.`
- `copyRequestEmail` (string, optional) — The email address to which the customer should send a request for copies of a document. Maximum length: 100 characters.
- `custom` (string, optional) — When **true,** indicates that the consumer disclosure is a custom disclosure. The default is **false.**
- `enableEsign` (string, optional) — When **true** (default), indicates that eSign is enabled.
- `esignAgreement` (string, optional) — The final, assembled text of the Electronic Record and Signature Disclosure that includes the appropriate `companyName` and other specifics. It also includes the HTML tags used for formatting.
- `esignText` (string, optional) — The template for the Electronic Record and Signature Disclosure, which contains placeholders for information such as the `companyName`. It also includes the HTML tags used for formatting. **Note:** If you are switching to or updating a custom disclosure, you can edit both the text and the HTML formatting.
- `languageCode` (string, optional) — The code for the language version of the disclosure. The following languages are supported: - Arabic (`ar`) - Bulgarian (`bg`) - Czech (`cs`) - Chinese Simplified (`zh_CN`) - Chinese Traditional (`zh_TW`) - Croatian (`hr`) - Danish (`da`) - Dutch (`nl`) - English US (`en`) - English UK (`en_GB`) - Estonian (`et`) - Farsi (`fa`) - Finnish (`fi`) - French (`fr`) - French Canadian (`fr_CA`) - German (`de`) - Greek (`el`) - Hebrew (`he`) - Hindi (`hi`) - Hungarian (`hu`) - Bahasa Indonesian (`id`) - Italian (`it`) - Japanese (`ja`) - Korean (`ko`) - Latvian (`lv`) - Lithuanian (`lt`) - Bahasa Melayu (`ms`) - Norwegian (`no`) - Polish (`pl`) - Portuguese (`pt`) - Portuguese Brazil (`pt_BR`) - Romanian (`ro`) - Russian (`ru`) - Serbian (`sr`) - Slovak (`sk`) - Slovenian (`sl`) - Spanish (`es`) - Spanish Latin America (`es_MX`) - Swedish (`sv`) - Thai (`th`) - Turkish (`tr`) - Ukrainian (`uk`) - Vietnamese (`vi`) Additionally, you can automatically detect the browser language being used by the viewer and display the disclosure in that language by setting the value to `browser`.
- `mustAgreeToEsign` (string, optional) — When **true,** the recipient must agree to the consumer disclosure. The value of this property is read-only. It is calculated based on the account setting `consumerDisclosureFrequency` and the user's actions.
- `pdfId` (string, optional) — **Deprecated.** The `pdfId` property in the consumer_disclosure PUT request is deprecated. For security reasons going forward, any value provided in the request packet must be ignored.
- `useBrand` (string, optional) — When **true,** specifies that the company name in the signing brand is used for the disclosure. Whenever an envelope is sent from the account that uses a signing brand with a specified company name, that value is used in email notifications and in the signing experience. When **false** (default), or if the signing brand does not specify a company name, the account name is used instead. **Note:** This substitution only works if you use the default legal disclosure or if you apply the `companyName` to the merge fields in a custom ERSD.
- `useConsumerDisclosureWithinAccount` (string, optional) — When **true,** specifies that recipients in the same account as the sender must agree to eSign an Electronic Record and Signature Disclosure Statement.
- `useConsumerDisclosureWithinAccountMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `withdrawAddressLine1` (string, optional) — Contains the first address line of the postal address to which a customer can send a consent withdrawal notification. Maximum length: 100 characters.
- `withdrawAddressLine2` (string, optional) — Contains the second address line of the postal address to which a customer can send a consent withdrawal notification. Maximum length: 100 characters.
- `withdrawByEmail` (string, optional) — When **true** (default), indicates that the customer can withdraw consent by email.
- `withdrawByMail` (string, optional) — When **true,** indicates that the customer can withdraw consent by postal mail. The default is **false.**
- `withdrawByPhone` (string, optional) — When **true,** indicates that the customer can withdraw consent by phone. The default is **false.**
- `withdrawCity` (string, optional) — Contains the city of the postal address to which a customer can send a consent withdrawal notification. Maximum length: 50 characters.
- `withdrawConsequences` (string, optional) — Text indicating the consequences of withdrawing consent. Maximum length: 255 characters.
- `withdrawEmail` (string, optional) — Contains the email address to which a customer can send a consent withdrawal notification. Maximum length: 100 characters.
- `withdrawOther` (string, optional) — Contains any other information needed to withdraw consent. Maximum length: 255 characters. Example: `We do not need any other information from you to withdraw consent.`
- `withdrawPhone` (string, optional) — Contains the phone number that a customer can call to register consent withdrawal notification as a free-formatted string. Maximum length: 20 characters.
- `withdrawPostalCode` (string, optional) — Contains the postal code of the postal address to which a customer can send a consent withdrawal notification. Maximum length: 20 characters.
- `withdrawState` (string, optional) — Contains the state of the postal address to which a customer can send a consent withdrawal notification. Example: `PA`

## Errors

### 400 Bad Request Error

Error encountered.

- `errorCode` (string, optional) — The code associated with the error condition.
- `message` (string, optional) — A brief message describing the error condition.

## Types

### settingsMetadata

Metadata that indicates whether a property is editable and describes setting-specific options.

- `is21CFRPart11` (string, optional) — When **true,** indicates compliance with United States Food and Drug Administration (FDA) regulations on electronic records and electronic signatures (ERES).
- `options` (list of string, optional) — An array of option strings supported by this setting.
- `rights` (string, optional) — Indicates whether the property is editable. Valid values are: - `editable` - `read_only`
- `uiHint` (string, optional) — Reserved for Docusign.
- `uiOrder` (string, optional) — Reserved for Docusign.
- `uiType` (string, optional) — Reserved for Docusign.

## Examples

**Response**

```json
{
  "accountEsignId": "sample string 1",
  "allowCDWithdraw": "sample string 2",
  "allowCDWithdrawMetadata": {
    "is21CFRPart11": "sample string 1",
    "options": [
      "sample string 1"
    ],
    "rights": "sample string 2",
    "uiHint": "sample string 3",
    "uiOrder": "sample string 4",
    "uiType": "sample string 5"
  },
  "changeEmail": "sample string 3",
  "changeEmailOther": "sample string 4",
  "companyName": "sample string 5",
  "companyPhone": "sample string 6",
  "copyCostPerPage": "sample string 7",
  "copyFeeCollectionMethod": "sample string 8",
  "copyRequestEmail": "sample string 9",
  "custom": "sample string 10",
  "enableEsign": "sample string 11",
  "esignAgreement": "sample string 12",
  "esignText": "sample string 13",
  "languageCode": "sample string 14",
  "mustAgreeToEsign": "sample string 15",
  "pdfId": "sample string 16",
  "useBrand": "sample string 17",
  "useConsumerDisclosureWithinAccount": "sample string 18",
  "withdrawAddressLine1": "sample string 19",
  "withdrawAddressLine2": "sample string 20",
  "withdrawByEmail": "sample string 21",
  "withdrawByMail": "sample string 22",
  "withdrawByPhone": "sample string 23",
  "withdrawCity": "sample string 24",
  "withdrawConsequences": "sample string 25",
  "withdrawEmail": "sample string 26",
  "withdrawOther": "sample string 27",
  "withdrawPhone": "sample string 28",
  "withdrawPostalCode": "sample string 29",
  "withdrawState": "sample string 30"
}
```